#!/bin/sh
# $FreeBSD: ports/emulators/kqemu-kmod/files/kqemu.in,v 1.2 2006/12/21 22:13:24 miwi Exp $
#
# PROVIDE: kqemu
# KEYWORD: nojail
#
# Add the following line to /etc/rc.conf[.local] to enable kqemu
#
# kqemu_enable="YES"
#

. /etc/rc.subr

name="kqemu"
rcvar=${name}_enable

load_rc_config $name

: ${kqemu_enable="NO"}

start_cmd=kqemu_start
stop_cmd=kqemu_stop

kqemu_start()
{
	# load aio if needed
	if ! kldstat -qm aio; then
		if kldload aio; then
			info 'aio module loaded.'
		else
			warn 'aio module failed to load.'
			return 1
		fi
	fi
	if ! kldstat -qm kqemu; then
		if kldload kqemu; then
			echo 'kqemu module loaded.'
		else
			warn 'kqemu module failed to load.'
			return 1
		fi
	fi
	return 0
}

kqemu_stop()
{
	if kldstat -qm kqemu && kldunload kqemu; then
		echo 'kqemu module unloaded.'
	fi
}

run_rc_command "$1"
